﻿:root {
    --primaria: dodgerblue;
    --primaria-clara: DeepSkyBlue;
    --primaria-escura: RoyalBlue;
    --secundaria: Silver;
    --secundaria-clara: LightGray;
    --secundaria-escura: DarkGray;
    --atencao: IndianRed;
    --atencao-clara: LightCoral;
    --atencao-escura: Crimson;
    --aviso: Orange;
    --aviso-clara: SandyBrown;
    --aviso-escura: DarkOrange;
    --sucesso: LightSeaGreen;
    --sucesso-clara: MediumAquaMarine;
    --sucesso-escura: DarkCyan;
    --clara: whitesmoke;
    --escura: dimgray;
    --branca: white;
    --preta: black;
    --espaco1: 0.3rem;
    --espaco2: 0.6rem;
    --espaco3: 0.9rem;
    --espaco4: 1.2rem;
    --espaco5: 1.5rem;
    --radius1: 0.1rem;
    --radius2: 0.2rem;
    --radius3: 0.3rem;
    --radius4: 0.4rem;
    --radius5: 0.5rem;
}

body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 12px;
    background-color: var(--clara);
    color: var(--escura);
}

.headerGrid {
    text-decoration: underline;
}

table.bordaSimples tr td {
    border: 1px solid var(--preta);
}

th {
    cursor: pointer;
    background-color: var(--secundaria);
    color: var(--preta);
    font-weight: bold;
}

    th.header {
        background-image: url('../../imagens/bg.gif');
        background-position: right center;
        background-repeat: no-repeat;
    }

    th.headerSortUp {
        background-image: url('../../imagens/asc.gif');
        background-position: right center;
        background-repeat: no-repeat;
    }

    th.headerSortDown {
        background-image: url('../../imagens/desc.gif');
        background-position: right center;
        background-repeat: no-repeat;
    }

select, input, textarea, fieldset {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    border: 1px solid var(--secundaria);
    color: var(--escura);
    border-radius: var(--radius2);
}

    select:focus, textarea:focus, input:focus {
        outline: none;
        border-color: var(--primaria);
        box-shadow: 0px 0px 0.3rem 0px var(--primaria);
    }

    input:-webkit-autofill {
        -webkit-box-shadow: 0 0 0 30px white inset;
    }

        input:-webkit-autofill:focus {
            outline: none;
            border-color: var(--primaria);
        }

    input.imagebutton {
        background-repeat: no-repeat;
        background-position: 4px;
        cursor: pointer;
        height: 24px;
        padding-left: 24px;
        vertical-align: middle;
    }

    input[type=checkbox] {
        border: 0px;
    }

    input[type="radio"] {
        border: 0px;
    }

.message {
    margin-left: 2px;
    font-weight: bold;
    color: var(--atencao);
    font-size: 9px;
}

.caixaMensagens {
    border: 0px;
    color: #F00;
    text-align: center;
    margin-right: 18px;
}

#pnlMensagens {
    width: 100%;
    height: 20px;
    padding: 5px;
    text-align: center;
}

.caixaAlta {
    text-transform: uppercase;
}

.imgs {
    margin-left: 77px;
    height: 20px;
}

.fonte-pequena-muito {
    font-size: xx-small;
}

.fonte-pequena {
    font-size: small;
}

.fonte-media {
    font-size: medium;
}

.bloco {
    display: block;
}

.invisivel {
    display: none;
}

.visivel {
    display: block;
}

.largura-100 {
    width: 100%;
}

.largura-75 {
    width: 75%;
}

.largura-50 {
    width: 50%;
}

.largura-40 {
    width: 40%;
}

.largura-30 {
    width: 30%;
}

.largura-25 {
    width: 25%;
}

.largura-20 {
    width: 20%;
}

.largura-15 {
    width: 15%;
}

.largura-10 {
    width: 10%;
}

.largura-automatica {
    width: auto;
}

.em-bloco {
    display: block;
    padding: 0px;
    margin: 0px;
}

.em-linha {
    display: inline;
}

.formulario-campo {
    border-radius: var(--radius2);
    border-color: var(--secundaria);
}

.campo-moderno {
    padding: var(--espaco1);
    background-color: white;
}

    .campo-moderno:focus {
        border-color: var(--primaria);
        box-shadow: 0px 0px var(--espaco1) dodgerblue;
    }

.margem-vertical-1 {
    margin-top: var(--espaco1);
    margin-bottom: var(--espaco1);
}

.margem-vertical-2 {
    margin-top: var(--espaco2);
    margin-bottom: var(--espaco2);
}

.margem-vertical-3 {
    margin-top: var(--espaco3);
    margin-bottom: var(--espaco3);
}

.margem-vertical-4 {
    margin-top: var(--espaco4);
    margin-bottom: var(--espaco4);
}

.margem-vertical-5 {
    margin-top: var(--espaco5);
    margin-bottom: var(--espaco5);
}

.margem-superior-1 {
    margin-top: var(--espaco1);
}

.margem-superior-2 {
    margin-top: var(--espaco2);
}

.margem-superior-3 {
    margin-top: var(--espaco3);
}

.margem-superior-4 {
    margin-top: var(--espaco4);
}

.margem-superior-5 {
    margin-top: var(--espaco5);
}

.margem-inferior-0 {
    margin-bottom: 0;
}

.margem-inferior-1 {
    margin-bottom: var(--espaco1);
}

.margem-inferior-2 {
    margin-bottom: var(--espaco2);
}

.margem-inferior-3 {
    margin-bottom: var(--espaco3);
}

.margem-inferior-4 {
    margin-bottom: var(--espaco4);
}

.margem-inferior-5 {
    margin-bottom: var(--espaco5);
}

.margem-direita-1 {
    margin-right: var(--espaco1);
}

.margem-direita-2 {
    margin-right: var(--espaco2);
}

.margem-direita-3 {
    margin-right: var(--espaco3);
}

.margem-direita-4 {
    margin-right: var(--espaco4);
}

.margem-direita-5 {
    margin-right: var(--espaco5);
}

.margem-esquerda-1 {
    margin-left: var(--espaco1);
}

.margem-esquerda-2 {
    margin-left: var(--espaco2);
}

.margem-esquerda-3 {
    margin-left: var(--espaco3);
}

.margem-esquerda-4 {
    margin-left: var(--espaco4);
}

.margem-esquerda-5 {
    margin-left: var(--espaco5);
}

.margem-0 {
    padding: 0px !important;
    margin: 0px !important;
}

.margem-horizontal-0 {
    padding-left: 0px;
    scroll-padding-right: 0px;
    margin-left: 0px;
    margin-right: 0px;
}

.margem-interna-0 {
    padding: 0px;
}

.margem-interna-1 {
    padding: var(--espaco1);
}

.margem-interna-2 {
    padding: var(--espaco2);
}

.margem-interna-3 {
    padding: var(--espaco3);
}

.margem-interna-4 {
    padding: var(--espaco4);
}

.margem-interna-5 {
    padding: var(--espaco5);
}

.margem-interna-direita-1 {
    padding-right: var(--espaco1);
}

.margem-interna-direita-2 {
    padding-right: var(--espaco2);
}

.margem-interna-direita-3 {
    padding-right: var(--espaco3);
}

.margem-interna-direita-4 {
    padding-right: var(--espaco4);
}

.margem-interna-direita-5 {
    padding-right: var(--espaco5);
}


.borda-nenhuma {
    border: none;
}

.borda-suave {
    border: 1px solid var(--secundaria);
}

.borda-media {
    border: 2px solid var(--secundaria-escura);
}

.borda-intensa {
    border: 3px solid var(--escura);
}

.redondo-0 {
    border-radius: 0;
}

.redondo-1 {
    border-radius: var(--radius1);
}

.redondo-2 {
    border-radius: var(--radius2);
}

.redondo-3 {
    border-radius: var(--radius3);
}

.redondo-4 {
    border-radius: var(--radius4);
}

.redondo-5 {
    border-radius: var(--radius5);
}

.linha {
    display: flex;
    flex-wrap: wrap;
    align-items: end;
    width: 100%;
}

.coluna {
    flex: 1 0 0%;
}

.coluna-auto {
    flex: 1 0 auto;
}

.coluna-1 {
    flex: 1 0 8.333%;
}

.coluna-2 {
    flex: 1 0 16.666%;
}

.coluna-3 {
    flex: 1 0 25%;
}

.coluna-4 {
    flex: 1 0 33.333%;
}

.coluna-5 {
    flex: 1 0 41.667%;
}

.coluna-6 {
    flex: 1 0 50%;
}

.coluna-7 {
    flex: 1 0 0%;
}

.coluna-8 {
    flex: 1 0 58.333%;
}

.coluna-9 {
    flex: 1 0 66.667%;
}

.coluna-10 {
    flex: 1 0 83.333%;
}

.coluna-11 {
    flex: 1 0 91.667%;
}

.coluna-12 {
    flex: 1 0 100%;
}


.texto-centralizado {
    text-align: center;
}

.texo-direta {
    text-align: right;
}

.texo-esquerda {
    text-align: left;
}

.carregando {
    width: 48px;
    height: 48px;
    border: 5px solid DodgerBlue;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

transparencia-1 {
    opacity: 0.8;
}

transparencia-2 {
    opacity: 0.6;
}

transparencia-3 {
    opacity: 0.4;
}

transparencia-4 {
    opacity: 0.2;
}

transparencia-5 {
    opacity: 0;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.sombra-direita {
    box-shadow: 5px 0px 15px black;
    z-index: 0;
}

.sombra-esquerda {
    box-shadow: -5px 0px 15px black;
    z-index: 0;
}

.sombra-topo {
    box-shadow: 0px -5px 15px black;
    z-index: 0;
}

.sombra-base {
    box-shadow: 0px 5px 15px black;
    z-index: 0;
}

.sombra-difusa {
    box-shadow: 0px 0px 20px black;
    z-index: 0;
}

.cor-primaria {
    color: var(--primaria);
}

.cor-secundaria {
    color: var(--secundaria);
}

.cor-clara {
    color: var(--clara);
}

.cor-escura {
    color: var(--escura);
}

.cor-atencao {
    color: var(--atencao);
}

.cor-branca {
    color: var(--branca);
}

.cor-preta {
    color: var(--branca);
}

.fundo-cor-primaria {
    background-color: var(--primaria);
}

.fundo-cor-secundaria {
    background-color: var(--secundaria);
}

.fundo-cor-clara {
    background-color: var(--clara);
}

.fundo-cor-escura {
    background-color: var(--escura);
}

.fundo-cor-atencao {
    background-color: var(--atencao);
}

.fundo-cor-branca {
    background-color: var(--branca);
}

.fundo-cor-preta {
    background-color: var(--branca);
}

.botao {
    color: white;
    vertical-align: middle;
    padding: var(--espaco1);
    cursor: pointer;
    border-radius: var(--radius3);
    font-weight: 500;
    transition: box-shadow 0.2s ease-out;
    transition: background-color 0.3s ease-out;
}

.botao-primario {
    background-color: var(--primaria);
    border-color: var(--primaria);
}

    .botao-primario:hover {
        box-shadow: 0px 0px 3px var(--primaria-escura);
        background-color: var(--primaria-escura);
    }

.botao-secundario {
    background-color: var(--secundaria);
    background-color: var(--secundaria);
}

    .botao-secundario:hover {
        background-color: var(--secundaria-escura);
        box-shadow: 0px 0px 3px var(--secundaria-escura);
    }


.botao-atencao {
    background-color: var(--atencao);
    border-color: var(--atencao);
}

    .botao-atencao:hover {
        background-color: var(--atencao-escura);
        box-shadow: 0px 0px 3px var(--atencao-escura);
    }

.btnCancelar {
    border-radius: 5px;
    font-family: Arial;
    font-size: 12px;
    padding: 5px 10px 5px 10px;
    border: none;
    cursor: pointer;
    font-weight: bold;
    background: #aaa;
    color: #FFF
}

    .btnCancelar:hover {
        background: #999
    }

.flexivel {
    display: flex;
}

.flexivel-coluna {
    flex-direction: column;
}

.flexivel-entre {
    justify-content: space-between;
}

.alinhamento-horizontal-center {
    justify-content: center;
}

.alinhamento-horizontal-esquerda {
    justify-content: left;
}

.alinhamento-horizontal-direita {
    justify-content: right;
}

.alinhamento-horizontal-entre {
    justify-content: space-between
}


.alinhamento-vertical-topo {
    align-items: start;
}

.alinhamento-vertical-base {
    align-items: end;
}

.alinhamento-vertical-centro {
    align-items: center;
}

.fixado-topo {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
}

.fixado-base {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
}

.altura-100 {
    height: 100%;
}

.altura-vh-100 {
    height: 100vh;
}

.altura-1 {
    height: 1rem;
}

.altura-2 {
    height: 1.2rem;
}

.altura-3 {
    height: 1.5rem;
}

.altura-4 {
    height: 2rem;
}
